Loading...
Searching...
No Matches
etl::threshold< TInput, TCompare > Class Template Reference

Threshold. More...

`#include <threshold.h>`

## Public Member Functions

ETL_CONSTEXPR | threshold (TInput threshold_value_, TInput true_value_, TInput false_value_, TCompare compare_=TCompare())
ETL_CONSTEXPR TInput | operator() (TInput value) const

## Additional Inherited Members

Public Types inherited from etl::unary_function< TInput, TInput >
typedef TInput | argument_type
typedef TInput | result_type

## Detailed Description

template<typename TInput, typename TCompare = etl::less<TInput>>
class etl::threshold< TInput, TCompare >

Threshold.

The documentation for this class was generated from the following file:

- include/etl/threshold.h